=== debian/changelog ===
tinycbor (0.6.0-2) unstable; urgency=medium

  * d/control: use my d.o email address
  * Rename json2cbor to tinycbor-json2cbor to avoid name conflict
    (closes: #1095717)
  * d/watch: change to correct repo url

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Feb 2025 15:14:07 +0800

tinycbor (0.6.0-1) unstable; urgency=medium

  [ Shengqi Chen ]
  * New upstream version 0.6.0 (closes: #1085433)

 -- Shengqi Chen <harry-chen@outlook.com>  Sun, 20 Oct 2024 00:41:00 +0800
