=== debian/control ===
Source: tinycbor
Section: utils
Priority: optional
Standards-Version: 4.7.0
Maintainer: Shengqi Chen <harry@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 doxygen,
 graphviz,
 help2man,
 libcjson-dev,
 qtbase5-dev
Homepage: https://github.com/intel/tinycbor
Vcs-Git: https://salsa.debian.org/harry/tinycbor.git
Vcs-Browser: https://salsa.debian.org/harry/tinycbor
Rules-Requires-Root: no

Package: libtinycbor0.6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tinycbor-utils
Description: Concise Binary Object Representation (CBOR) library
 TinyCBOR library is a small CBOR encoder and decoder library,
 optimized for very fast operation with very small footprint.
 The main encoder and decoder functions do not allocate memory.
 .
 This package contains libtinycbor shared library.

Package: libtinycbor-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinycbor0.6 (= ${binary:Version})
Description: Concise Binary Object Representation (CBOR) library (development files)
 TinyCBOR library is a small CBOR encoder and decoder library,
 optimized for very fast operation with very small footprint.
 The main encoder and decoder functions do not allocate memory.
 .
 This package contains development files for libtinycbor.

Package: tinycbor-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtinycbor0.6 (= ${binary:Version})
Description: Concise Binary Object Representation (CBOR) library (utilities)
 TinyCBOR library is a small CBOR encoder and decoder library,
 optimized for very fast operation with very small footprint.
 The main encoder and decoder functions do not allocate memory.
 .
 This package contains some utilities for CBOR files.
