=== debian/tests/control ===
Tests: upstream-test-suite
Restrictions: allow-stderr
Depends: @, build-essential, qtbase5-dev
