=== debian/watch ===
version=4
https://github.com/intel/tinycbor/tags .*/v?(\d.*)@ARCHIVE_EXT@
