## tinycbor 0.6.0+git20250214.53ff130

=== debian/changelog ===
tinycbor (0.6.0+git20250214.53ff130-2) unstable; urgency=medium

  * d/patches:
    + disable more flaky tests on non-amd64 architectures.
    + add patch that checks SSE2 availability to fix FTBFS on i386.
  * d/tests:
    + refresh and move patch to d/patches.
    + try using qt6 to build first, then fallback to qt5.

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 15:23:03 +0800

tinycbor (0.6.0+git20250214.53ff130-1) unstable; urgency=medium

  * d/rules: ignore test files from blhc
  * d/control:
    + bump std-ver to 4.7.1 (no changes required)
    + mark libtinycbor{0.6,-dev} as Multi-Arch: same
  * Move libtinycbor-dev.doc-base to the correct location
  * New upstream version 0.6.0+git20250214.53ff130

 -- Shengqi Chen <harry@debian.org>  Wed, 26 Feb 2025 14:23:56 +0800
