=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tinycbor
 Section: utils
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,6 +19,7 @@
 Package: libtinycbor0.6
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: tinycbor-utils
 Description: Concise Binary Object Representation (CBOR) library
@@ -31,6 +32,7 @@
 Package: libtinycbor-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libtinycbor0.6 (= ${binary:Version})
 Description: Concise Binary Object Representation (CBOR) library (development files)
  TinyCBOR library is a small CBOR encoder and decoder library,
