=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter, nocheck,$(DEB_BUILD_OPTIONS)))
-	@echo 'blhc: ignore-line-regexp: .*(qt|Qt).*'
+	@echo 'blhc: ignore-line-regexp: .*(qt|Qt|tst).*'
 	$(MAKE) check
 endif
