=== debian/changelog ===
tinycbor (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1.
  * d/patches: refresh, update patch to fix autopkgtest failure, update meta.
  * d/{control,rules}: replace jquery.js in docs by link, and add libjs-jquery
    in Suggests of libtinycbor-dev.
  * d/control: bump std-ver to 4.7.2 (no changes required).

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 14:00:08 +0800
