=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: tinycbor
 Section: utils
 Priority: optional
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-doxygen,
  dh-exec,
  doxygen,
  graphviz,
@@ -34,6 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libtinycbor0.6 (= ${binary:Version})
+Suggests: libjs-jquery
 Description: Concise Binary Object Representation (CBOR) library (development files)
  TinyCBOR library is a small CBOR encoder and decoder library,
  optimized for very fast operation with very small footprint.
