=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,9 @@
 execute_after_dh_auto_build:
 	help2man --version-string=$(DEB_VERSION_UPSTREAM) --name="tinycbor Concise Binary Object Representation (CBOR) library" -N -o cbordump.1 bin/cbordump
 	help2man --version-string=$(DEB_VERSION_UPSTREAM) --name="tinycbor Concise Binary Object Representation (CBOR) library" -N -o tinycbor-json2cbor.1 bin/json2cbor
+
+override_dh_installdocs:
+ifeq (,$(filter, nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_installdocs
+	dh_link -plibtinycbor-dev /usr/share/javascript/jquery/jquery.js usr/share/doc/libtinycbor-dev/html/jquery.js
+endif
