=== examples/CMakeLists.txt ===
# Copyright (C) 2025 Intel Corporation
# SPDX-License-Identifier: MIT
include(TinyCBORHelpers)

tinycbor_add_executable(simplereader simplereader.c)
