=== tools/CMakeLists.txt ===
# Copyright (C) 2025 Intel Corporation
# SPDX-License-Identifier: MIT
include(TinyCBORHelpers)
add_subdirectory(cbordump)
add_subdirectory(json2cbor)
