=== tests/cpp/CMakeLists.txt ===
# Copyright (C) 2025 Intel Corporation
# SPDX-License-Identifier: MIT

tinycbor_add_qtest(tst_cpp tst_cpp.cpp)
