=== debian/changelog ===
tinycbor (7.0-1) unstable; urgency=medium

  * d/watch: switch to version 5.
  * New upstream version 7.0.
    + d/patches: refresh existing patches.
    + d/: adapt to new cmake build scripts.
    + d/: change SONAME to libtinycbor0.
    + d/symbols: add new symbols for libtinycbor0.
  * d/control:
    + bump std-ver to 4.7.3 (no changes needed).
    + add qt6-base-dev for dh_auto_test.
  * d/tests: fix upstream-test-suite.

 -- Shengqi Chen <harry@debian.org>  Tue, 24 Feb 2026 16:15:26 +0800
