=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: tinycbor
 Section: utils
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-doxygen,
+ cmake,
+ ninja-build,
  dh-exec,
- doxygen,
- graphviz,
- help2man,
  libcjson-dev,
- qtbase5-dev
+ pkgconf,
+ qt6-base-dev <!nocheck>,
+ dh-sequence-doxygen <!nodoc>,
+ doxygen <!nodoc>,
+ graphviz <!nodoc>,
+ help2man <!nodoc>,
 Homepage: https://github.com/intel/tinycbor
 Vcs-Git: https://salsa.debian.org/harry/tinycbor.git
 Vcs-Browser: https://salsa.debian.org/harry/tinycbor
-Rules-Requires-Root: no
 
-Package: libtinycbor0.6
+Package: libtinycbor0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -34,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libtinycbor0.6 (= ${binary:Version})
+Depends: ${misc:Depends}, libtinycbor0 (= ${binary:Version})
 Suggests: libjs-jquery
 Description: Concise Binary Object Representation (CBOR) library (development files)
  TinyCBOR library is a small CBOR encoder and decoder library,
@@ -45,7 +46,7 @@
 
 Package: tinycbor-utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libtinycbor0.6 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libtinycbor0 (= ${binary:Version})
 Description: Concise Binary Object Representation (CBOR) library (utilities)
  TinyCBOR library is a small CBOR encoder and decoder library,
  optimized for very fast operation with very small footprint.
