=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

#TARGET_DIR = $(CURDIR)/debian/tmp/usr
#TARGET_LIBDIR = $(TARGET_DIR)/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR = $(CURDIR)/build

BUILD_TESTING=OFF
ifeq (,$(filter, nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_TESTING=ON
endif

%:
	dh $@ -S cmake+ninja --builddirectory $(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON -DBUILD_TESTING=$(BUILD_TESTING)

override_dh_auto_test:
ifeq ($(BUILD_TESTING),ON)
	dh_auto_test
endif

execute_after_dh_auto_build:
	help2man --version-string=$(DEB_VERSION_UPSTREAM) --name="tinycbor Concise Binary Object Representation (CBOR) library" -N -o cbordump.1 $(BUILDDIR)/tools/cbordump/cbordump
	help2man --version-string=$(DEB_VERSION_UPSTREAM) --name="tinycbor Concise Binary Object Representation (CBOR) library" -N -o tinycbor-json2cbor.1 $(BUILDDIR)/tools/json2cbor/json2cbor

override_dh_installdocs:
ifeq (,$(filter, nodoc,$(DEB_BUILD_OPTIONS)))
	cd src && VERSION=$(DEB_VERSION_UPSTREAM) doxygen ../Doxyfile
	dh_installdocs
	dh_link -plibtinycbor-dev /usr/share/javascript/jquery/jquery.js usr/share/doc/libtinycbor-dev/html/jquery.js
endif
