=== debian/tests/control ===
Tests: upstream-test-suite
Restrictions: allow-stderr
Depends: @, build-essential, qt6-base-dev, cmake, ninja-build
