=== debian/watch ===
Version: 5
Template: GitHub
Owner: intel
Project: tinycbor
